Class | Rake::SshFreshDirPublisher
In: | lib/rake/contrib/sshpublisher.rb
Parent: | SshDirPublisher

Publish an entire directory to a fresh remote directory using SSH.

### Methods

upload

### Public Instance methods

upload()

[Source]

        # File lib/rake/contrib/sshpublisher.rb, line 23
    23:     def upload
    24:       sh %{ssh #{@host} rm -rf #{@remote_dir}} rescue nil
    25:       sh %{ssh #{@host} mkdir #{@remote_dir}}
    26:       super
    27:     end

[Validate]